use "C:\Users\mnorris1\Desktop\state S.Ct. judge data\state_cj.dta"
set more off
sum gender cj_years opinion unified squire appellate partisan nonpartisan ///
missouri legislature governor cj election merit appoint if duty2 !=.
tab duty2 

* with duty2 --> 0=administrative 1=symbolic representation 2= legislature 3= consensus This model uses consensus as the baseline*

mlogit duty2 current gender cj_years opinion unified squire appellate partisan ///
nonpartisan missouri legislature, baseoutcome(0) cl(internal)
estat ic

margins, at(gender=(0 1))
marginsplot

* this model is in the do file in order to have fewer variables, given the number of observations. I've collapsed nonpartisan and partisan into "election" and governor and legislature into "appoint." Missouri has been transformed into "merit." *

mlogit duty2 gender cj_years opinion unified squire appellate election ///
merit, baseoutcome(3) cl(internal)
estat ic

* The next model uses administration as the baseline *

mlogit duty2 gender cj_years opinion unified squire appellate partisan ///
nonpartisan missouri legislature, baseoutcome(0) cl(internal)
estat ic

mlogit duty2 gender cj_years opinion unified squire appellate election ///
merit, baseoutcome(0) cl(internal)
estat ic

* the models below account for the new variables recommended by reviewers. They also account for different CJ variables *

mlogit duty2 gender cj_years opinion peer langer unified squire appellate ///
partisan nonpartisan missouri legislature, baseoutcome(3) cl(internal)
estat ic